/*
 * Copyright 2019  Michail Vourlakos <mvourlakos@gmail.com>
 *
 * This file is part of Latte-Dock
 *
 * Latte-Dock is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * Latte-Dock is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef SETTINGSTOOLS_H
#define SETTINGSTOOLS_H

// Qt
#include <QPalette>
#include <QStyleOptionViewItem>

namespace Latte {

bool isActive(const QStyleOptionViewItem &option);
bool isEnabled(const QStyleOptionViewItem &option);
bool isFocused(const QStyleOptionViewItem &option);
bool isSelected(const QStyleOptionViewItem &option);
bool isHovered(const QStyleOptionViewItem &option);

QPalette::ColorGroup colorGroup(const QStyleOptionViewItem &option);

//! strings that even though they were initially at original list
//! now they are not present to current list
QStringList subtracted(const QStringList &original, const QStringList &current);

}

#endif
